<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" xmlns:its="http://www.w3.org/2005/11/its" type="topic" style="task" id="mintupdatex-cli">

  <info>
    <link type="guide" xref="index#advanced"/>

    <credit type="author">
      <name>ⵍⵉⵏⵓⴽⵙ ⵎⴰⵏⵜ</name>
      <email>root@linuxmint.com</email>
    </credit>

    <include xmlns="http://www.w3.org/2001/XInclude" href="legal.xml"/>

    <desc>Updating from the command line</desc>
  </info>

  <title>Using mintupdatex-cli</title>

    <p>The Update Manager provides a command line utility called "mintupdatex-cli".</p>

    <p>If you are experienced with Linux, you can use this tool in your scripts or your cron jobs to automate the installation of software updates.</p>

  <section id="tool1">

  <title>Listing updates</title>

  <p>You can use the "list" command to list updates:</p>

  <screen>talgamt n mintupdatex-cli</screen>

  <p>You can use -s to only show the security updates.</p>

  <p>You can use -k to only show the kernel updates.</p>

  <p>For instance, the following command lists all security updates:</p>

  <screen>mintupdatex-cli list -s</screen>

  </section>

  <section id="tool1">

  <title>Applying updates</title>

  <p>You can use the "upgrade" command to apply updates, using the same options.</p>

  <p>For instance, the following command applies kernel updates:</p>

  <screen>sudo mintupdatex-cli upgrade -r -k</screen>

  <p>Note the -r argument, which was added to refresh the cache.</p>

  <p>For more information on mintupdatex-cli and a complete list of arguments, type:</p>

  <screen>mintupdatex-cli -h</screen>

  </section>

</page>
